# Uses of Class
it.tdlight.jni.TdApi.BotMenuButton

## Uses of TdApi.BotMenuButton in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BotMenuButton
Modifier and Type
Field
Description
`TdApi.BotMenuButton`
TdApi.BotInfo.`menuButton`
Information about a button to show instead of the bot commands menu button; may be null if ordinary bot commands menu must be shown.
`TdApi.BotMenuButton`
TdApi.SetMenuButton.`menuButton`
New menu button.
Constructors in it.tdlight.jni with parameters of type TdApi.BotMenuButton
Modifier
Constructor
Description
``
`BotInfo(String shortDescription, String description, TdApi.Photo photo, TdApi.Animation animation, TdApi.BotMenuButton menuButton, TdApi.BotCommand[] commands, TdApi.ChatAdministratorRights defaultGroupAdministratorRights, TdApi.ChatAdministratorRights defaultChannelAdministratorRights, TdApi.InternalLinkType editCommandsLink, TdApi.InternalLinkType editDescriptionLink, TdApi.InternalLinkType editDescriptionMediaLink, TdApi.InternalLinkType editSettingsLink)`
Contains information about a bot.
``
`SetMenuButton(long userId, TdApi.BotMenuButton menuButton)`
Sets menu button for the given user or for all users; for bots only.